$('.owl-carousel-produtos').owlCarousel({
    autoplay:false,
    loop:false,
    nav:true,
    touchDrag: false,
    mouseDrag: false,
    margin:10,
    autoplayHoverPause:true,
    responsiveClass:true,
    responsive:{
        0:{
            items:1,
            nav:false,
            dots:true,
            touchDrag: true,
            mouseDrag: true,
        },
        768:{
            items:3,
            nav:false,
            dots:true
        },
        1441:{
            items:3,
            dots:false
        }
    }
});

$('.owl-carousel-images').owlCarousel({
    autoplay:false,
    loop:false,
    margin:0,
    responsiveClass:true,
    responsive:{
        0:{
            items:1,
            loop:true,
            nav:true,
            dots: false
        }
    }
});

$('.owl-carousel-unidades').owlCarousel({
    autoplay:false,
    loop:false,
    touchDrag: false,
    mouseDrag: false,
    margin:0,
    responsiveClass:true,
    responsive:{
        0:{
            items:1,
            loop:true,
            nav:false,
            dots: true
        }
    }
});

$(".act-passeio-exclusive").on("click", function(){
    $('.open-modal-passeio-exclusive').modal('show');
});

$('body').on("click", ".actReservar", function() {
    
    $("#section-unidades").find(".btn").removeClass("btn-danger actCancelar").addClass("btn-primary actReservar").html("Gostei");
    
    /*$(".box-reservado").hide();*/
    $("input[name=tipo_imovel]").val("");
    
    $(this).removeClass("btn-primary actReservar").addClass("btn-danger actCancelar").html("Limpar seleção");
    
    unidade = $(this).data("unidade");
    tipo = $(this).data("tipo");
    
    $("input[name=tipo_imovel]").val(tipo);
    
    
    $(".value-reserva").html();
    $(".selecionar").hide();
    $(".selecionado").show();
    $(".value-reserva").html(tipo);
    
    
    if(unidade == "1"){
        $(".reservado1").show('clip');
        $("input[name=area_total]").val("401");
    }
    if(unidade == "2"){
        $(".reservado2").show('clip');
        $("input[name=area_total]").val("603");
    }
    if(unidade == "3"){
        $(".reservado3").show('clip');
        $("input[name=area_total]").val("703");
    }
    
    setTimeout(function(){ 
        
        $('html, body').animate(
        {
            scrollTop: $("#section-contato").offset().top - 60
        },1000);
        
    }, 800);
});

$('body').on("click", ".actCancelar", function() {
    
    /*$(".box-reservado").hide();*/
    $("input[name=tipo_imovel]").val("");
    $(".value-reserva").html();
    $(".selecionar").show();
    $(".selecionado").hide();
    
    $(this).removeClass("btn-danger actCancelar").addClass("btn-primary actReservar").html("Gostei");
    
    unidade = $(this).data("unidade");
    
    if(unidade == "1"){
        $(".reservado1").hide('clip');
    }
    if(unidade == "2"){
        $(".reservado2").hide('clip');
    }
    if(unidade == "3"){
        $(".reservado3").hide('clip');
    }
});

$('body').on("click", "#reserva", function() {
    
    $('html, body').animate(
    {
        scrollTop: $("#section-unidades").offset().top - 60
    },1000);
});

//selecionar form
$('body').on("click", ".selecionar", function() {
    
    $('html, body').animate(
    {
        scrollTop: $("#section-unidades").offset().top - 120
    },1000);
});

$('body').on("click", ".selecionar-unidade", function() {
    
    $('html, body').animate(
    {
        scrollTop: $("#section-unidades").offset().top - 120
    },1000);
});

$('body').on("click", ".icon-close", function() {
    
    $("input[name=tipo_imovel]").val("");
    
    $(".value-reserva").html();
    $(".selecionar").show();
    $(".selecionado").hide();
    
    $(".actCancelar").trigger("click");
    
   /* $('html, body').animate(
    {
        scrollTop: $("#section-unidades").offset().top - 60
    },1000);*/
});

//form captura
$('#formCaptura').submit(function(e){
    
    e.preventDefault();
    e.stopPropagation();
    
    loadButton($('#formCaptura button.btn-enviar'));
	
	$.ajax({
		url: base_url+"landingpage/ajax/captura_ajax/captura_interessado_exclusive",
		dataType: 'json',
		type: 'POST',
		data: get_form('#formCaptura'),
		success: function(retorno)
		{		
		    console.log("retorno por favor: ",retorno);
			if (retorno.valid == true)
			{
			    window.location.href = retorno.data.redirect;
			}
			else
			{
			    loadButton(null,false);
			    ico = '<img src="'+base_url+'/assets/img/comdono/icons/error.png">';
    	        $('#formCaptura .content_result').html('<label class="error-login"><span>'+ico+'</span>'+retorno.msg+'</label>');
			}
		},
		error: function(error)
		{
		    loadButton(null,false);
			ico = '<img src="'+base_url+'/assets/img/comdono/icons/error.png">';
	        $('#formCaptura .content_result').html('<label class="error-login"><span>'+ico+'</span>Erro! Tente novamente mais tarde.</label>');
		}
	});
	
});

function clearForm(){
    $("input[name='email']").val("");
    $("input[name='telefone']").val("");
    
    loadButton(null,false);
    
    $('#formCaptura .content_result').html("");
}